pcl::PointXYZL Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZL:

## Public Member Functions

| PointXYZL (const _PointXYZL &p)
| PointXYZL (std::uint32_t _label=0)
| PointXYZL (float _x, float _y, float _z, std::uint32_t _label=0)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZL &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZL
| PCL_ADD_POINT4D
std::uint32_t | label

## Detailed Description

Definition at line 539 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZL() [1/3]

pcl::PointXYZL::PointXYZL | ( | const _PointXYZL & | p | ) |

inline

Definition at line 541 of file point_types.hpp.

References pcl::_PointXYZL::label.

## PointXYZL() [2/3]

pcl::PointXYZL::PointXYZL | ( | std::uint32_t | _label = `0` | ) |

inline

Definition at line 547 of file point_types.hpp.

## PointXYZL() [3/3]

pcl::PointXYZL::PointXYZL | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint32_t | _label = `0`
| ) |  |

inline

Definition at line 549 of file point_types.hpp.

References pcl::_PointXYZL::label.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZL & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp